JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ExtraLookAndFeelBaseClasses::LassoComponentMethods Struct Referenceabstract
juce_gui_basics » lookandfeel

This abstract base class is implemented by LookAndFeel classes. More...

`#include <juce_LookAndFeel.h>`

Inheritance diagram for ExtraLookAndFeelBaseClasses::LassoComponentMethods:

## Public Member Functions
virtual | ~LassoComponentMethods ()=default
virtual void | drawLasso (Graphics &, Component &lassoComp)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes.

## Constructor & Destructor Documentation

## ◆ ~LassoComponentMethods()

virtual ExtraLookAndFeelBaseClasses::LassoComponentMethods::~LassoComponentMethods | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ drawLasso()

virtual void ExtraLookAndFeelBaseClasses::LassoComponentMethods::drawLasso | ( | Graphics & | ,
|  | Component & | lassoComp )
| pure virtual

Implemented in LookAndFeel_V2.

Referenced by LassoComponent< SelectableItemType >::paint().

The documentation for this struct was generated from the following file:

- juce_LookAndFeel.h